%define inst_prefix /usr

Summary: DVI Previewer for the X Window System
Name: xdvik
%define ver 20c
Version: %{ver}jp
Release: 4.0a
Source: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/dviware/xdvik/xdvik-%{ver}.tar.gz
Patch0: ftp://sp.sk.tsukuba.ac.jp/pub/tex/xdvik-20c/xdvik%{ver}-j1.0p0c.patch.gz
Patch1: localhost:/xdvik-%{ver}-xaw3d.patch
Patch2: localhost:/xdvik-%{ver}-shrink.patch
Copyright: GPL2 ܸб patch ˴ؤƤϡREADME.xdvik20a-j1.1.patchɤ߲
Group: Applications/Publishing/TeX
BuildRoot: /var/tmp/root-xdvik
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
# Summary(ja): X Window System ư DVI եץӥ塼

%changelog
* Wed Oct 7 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- adjusted panel width for xaw3d
- changed shrink factors
- removed rpm-2.5x features.

* Wed Sep 17 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4.0
- /usr/local -> /usr 
- VFlib2 б

* Sat Aug 22 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- Release 3.1
- Summary tag1Хʸѹ(ܸrpm-2.5.2ǥ顼Ȥʤ)
- ޥversionverѹ(Version tagʸ֤ѤäƤޤ)

* Sun May 31 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3.
- Added EXT_LIB=-lXext (for ppc)

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- Group:  Applications/Publishing/TeX ˽

* Wed Apr 27 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 20cjp
- Release: 1
- ܸбѥå(xdvik20c-j1.0p0c.patch.gz) 
- changed Group: tag (=> Applications/TeX)
- added Prereq: tag

* Wed Jan 21 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 4th Release.
- ܸбѥå(to xdvik20a-j1.1p15.patch.gz) 

* Tue Jan 6 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 3rd Release.
- ܸбѥå(to xdvik20a-j1.1p13.patch.gz) 
- ǥեȤvfontmapκ
- configure option  --with-x-toolkit=yes ɲ

* Fri Dec 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 2nd Release.
- ܸбѥå(to xdvik20a-j1.1p11.patch.gz) 

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 20ajp
- 1st Release.
-  5th  4thʤΤľ

* Thu Oct 2 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 5th Release.
- Group: typoν

* Wed Oct 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 4th Release.
- ɥȥեν夲

* Mon Sep 16 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 3rd Release.
- patch*.orig ե
- BuildRoot: ѹ

* Mon Sep 10 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 2nd Release.
- CFLAGSԶ

* Mon Sep 8 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 1st Release.

%description
Xdvi is a program which runs under the X window system. It is used to
preview DVI files, such as those produced by TeX.

# %description -l ja
# Xdvi ϡX window system ưޤTeX줿DVIե
# Υץӥ塼ȤƻѤޤ

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf/xdvi

%setup -q -n xdvik-%{ver}
gzip -dc  ${RPM_SOURCE_DIR}/xdvik%{ver}-j1.0p0c.patch.gz | patch -p1
%patch1 -p1
%patch2 -p1

rm -rf `find ./ -name "*.orig" -print`

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{inst_prefix} --host=${RPM_ARCH}-JRPM-linux --enable-shared --with-dvifilter=dvips --disable-static --with-x-toolkit=yes

sed 's@/usr/local/share@%{inst_prefix}/share@' xdvik/xdvi-config.h  > xdvi-config.h.tmp
mv -f xdvi-config.h.tmp xdvik/xdvi-config.h

# <-- ̣??
sed 's@/usr/local/etc@/etc@' xdvik/mime.c > mime.c.tmp
mv -f  mime.c.tmp xdvik/mime.c

echo '#define W3C_ICONS		"/usr/share/w3c-icons"' >> libwww/config.h
echo '#define SERVER_FILE	"/usr/lib/rn/server"' >> libwww/config.h
# -->

%ifarch sparc ppc
EXT_LIB=-lXext
%endif
make    VFLIB="-lVFlib2 -lttf" \
	XDEFS="-DA4 -DNOTEXXET -DVI_KEY -DPTEX -DCOLOR -DBDPI=300 -DSHRINK=\\\"5\\\" -DSMALL_PANEL" \
	x_ext_lib="$EXT_LIB"

%install
make prefix=${RPM_BUILD_ROOT}%{inst_prefix} texmf=${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf install

#strip ${RPM_BUILD_ROOT}%{inst_prefix}/bin/gsftopk
strip ${RPM_BUILD_ROOT}%{inst_prefix}/bin/xdvi.bin

#install -m 644 xdvik/xdvipaper.dvi2ps-j ${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf/xdvi
#install -m 644 xdvik/xdvipaper.dvips ${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf/xdvi
#install -m 644 xdvik/xdvipaper.jdvi2kps ${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf/xdvi

cat > ${RPM_BUILD_ROOT}%{inst_prefix}/share/texmf/xdvi/vfontmap << EOF
min     min     # for ASCII
nmin    min     # for ASCII
goth    goth    # for ASCII
ngoth   goth    # for ASCII
EOF

%post -p /usr/bin/mktexlsr

%postun -p /usr/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc etc
%doc xdvik/AUTHORS xdvik/ChangeLog xdvik/ChangeLog.xdvik20a-j1.1
%doc xdvik/INSTALL xdvik/MOTIF xdvik/NEWS
%doc xdvik/README xdvik/README.xdvik20a-j1.1.patch
%doc xdvik/READMEs  xdvik/xdvi.FAQ
%doc xdvik/README.xdvik20c-j1.0p0.patch
%doc xdvik/ChangeLog.xdvik20c-j1.0
%config %{inst_prefix}/share/texmf/xdvi/xdvipaper.dvi2ps-j
%config %{inst_prefix}/share/texmf/xdvi/xdvipaper.dvips
%config %{inst_prefix}/share/texmf/xdvi/xdvipaper.jdvi2kps   
%config %{inst_prefix}/share/texmf/xdvi/vfontmap
#%{inst_prefix}/share/texmf/dvips/render.ps
#%{inst_prefix}/bin/gsftopk
%{inst_prefix}/bin/xdvi
%{inst_prefix}/bin/xdvi.bin
%{inst_prefix}/man/man1/xdvi.1
#%{inst_prefix}/man/man1/gsftopk.1

